Name:           examiner
Version:        0.5
Release:        7%{?dist}
Summary:        Utility to disassemble and comment foreign executable binaries 

Group:          Development/Tools
License:        GPLv2
URL:            http://www.academicunderground.org/%{name}/
Source0:        http://www.academicunderground.org/examiner/%{name}-%{version}.tar.gz
Patch0:         examiner-0.5-examiner_hashes_pl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl

%description
The Examiner is an application that utilizes the objdump command to
disassemble and comment foreign executable binaries. This app was
designed to analyze static compiled binaries but works ok with
others. The intention is for forensic research but could also be used
in general reverse engineering.
           This program can only handle basic dissassembly. If the
binary has been modified to resist debugging then the Examinier
probably will not be able to analyze the code. Also the Examiner will
not analyze live running code.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# empty build
chmod 644 utils/*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/

sed -i -e 's@cp @cp -p @' Makefile  # Save timestamp

make install BIN=$RPM_BUILD_ROOT/%{_bindir}/ \
 MAN=$RPM_BUILD_ROOT/%{_mandir}/man1/ \
 SHARE=${RPM_BUILD_ROOT}/%{_datadir}/%{name} \
 DOC=${RPM_BUILD_ROOT}/%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/doc/%{name}-%{version}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}/

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 23 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5-6
- Applied  examiner-0.5-examiner_hashes_pl.patch #515452

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 31 2009 Rakesh Pandit <rakesh@fedorapeople.org> 0.5-3
- Fixed unowned directory

* Sat Nov 08 2008 Rakesh Pandit <rakesh@fedorapeople.org> 0.5-2
- Cleaned up sed mess.

* Tue Nov 04 2008 Rakesh Pandit <rakesh@fedorapeople.org> 0.5-1
- Initial package
